package com.fxy.hk.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class OutboundBean implements Parcelable {
    public int no_scan = 0;
    public int has_scan = 0;
    public int finish = 0;

    public OutboundBean() {
    }

    public int getNoScan() {
        return no_scan;
    }

    public void setNoScan(int no_scan) {
        this.no_scan = no_scan;
    }

    public int getHasScan() {
        return has_scan;
    }

    public void setHasScan(int has_scan) {
        this.has_scan = has_scan;
    }

    public int getFinish() {
        return finish;
    }

    public void setFinish(int finish) {
        this.finish = finish;
    }

    protected OutboundBean(Parcel in) {
        no_scan = in.readInt();
        has_scan = in.readInt();
        finish = in.readInt();
    }

    @Override
    public String toString() {
        return "OutboundBean{" +
                "no_scan=" + no_scan +
                ", has_scan=" + has_scan +
                ", finish=" + finish +
                '}';
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(no_scan);
        dest.writeInt(has_scan);
        dest.writeInt(finish);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<OutboundBean> CREATOR = new Creator<OutboundBean>() {
        @Override
        public OutboundBean createFromParcel(Parcel in) {
            return new OutboundBean(in);
        }

        @Override
        public OutboundBean[] newArray(int size) {
            return new OutboundBean[size];
        }
    };
}
